Skip to main content
GET
/
api
/
v1
/
transactions
Işlemleri listele
curl --request GET \
  --url https://vpos-sandbox.payven.com.tr/api/v1/transactions \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "extra_properties_dict": {},
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "external_merchant_id": "<string>",
      "merchant_name": "<string>",
      "basket_id": "<string>",
      "external_id": "<string>",
      "amount": 123,
      "net_amount": 123,
      "currency": "<string>",
      "bin_number": 123,
      "last4": "<string>",
      "card_holder_name": "<string>",
      "masked_card_number": "<string>",
      "issuer_bank_code": "<string>",
      "issuer_bank_name": "<string>",
      "issuer_bank_logo_url": "<string>",
      "is3_d_secure": true,
      "installment_count": 123,
      "created": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z",
      "error_message": "<string>",
      "connector_configuration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "connector_configuration_name": "<string>",
      "connector_code": "<string>",
      "installment_amount": 123,
      "bank_commission_amount": 123,
      "merchant_commission_amount": 123,
      "net_merchant_amount": 123,
      "settlement_date": "2023-11-07T05:31:56Z",
      "bank_response_code": "<string>",
      "provider_transaction_id": "<string>",
      "auth_code": "<string>",
      "host_reference": "<string>",
      "rrn": "<string>"
    }
  ],
  "page": 123,
  "total_pages": 123,
  "total_count": 123,
  "has_previous_page": true,
  "has_next_page": true
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Query Parameters

page
integer<int32>
page_size
integer<int32>
start_date
string<date-time>
end_date
string<date-time>
status
enum<string>
Available options:
Created,
Processing,
Authorized,
Completed,
Failed,
Refunded,
Canceled,
CanceledProcessing,
RefundProcessing,
ThreeDSecureInitProcessing,
ThreeDSecureAuthProcessing,
CaptureProcessing
operation_type
enum<string>
Available options:
Sale,
PreAuth,
PostAuth,
Void,
Refund,
Recurring
payment_type
enum<string>
Available options:
Card,
Wallet,
BkmExpress,
BankTransfer,
Link
secure_type
enum<string>
Available options:
Non3D,
ThreeDSv1,
ThreeDSv2,
ThreeDPay
card_schema_type
enum<string>
Available options:
Visa,
MasterCard,
Amex,
Troy,
UnionPay,
Proprietary
card_type
enum<string>
Available options:
Credit,
Debit,
Prepaid
installment_count
integer<int32>
bin_number
string
min_amount
integer<int64>
max_amount
integer<int64>
merchant_id
string<uuid>
external_merchant_id
string
basket_id
string
connector_code
string
connector_configuration_id
string<uuid>
search_term
string

Response

OK

items
object[] | null
page
integer<int32>
total_pages
integer<int32>
read-only
total_count
integer<int32>
read-only
has_previous_page
boolean
read-only
has_next_page
boolean
read-only